import 'package:flutter/material.dart';

class SharedTheme {
  SharedTheme._();
  static int milliseconds = 700;

  static const double paddingDoubleExtraLarge = 16;

  static Matrix4 subTransform(Animation<dynamic> mainScreenAnimation) {
    return Matrix4.translationValues(
        60 * (1.0 - mainScreenAnimation.value), 0.0, 0.0);
  }

  static EdgeInsets edgeInsetsPaddingDoubleExtraLargeLTRB = EdgeInsets.only(
    left: SharedTheme.paddingDoubleExtraLarge,
    right: SharedTheme.paddingDoubleExtraLarge,
    top: SharedTheme.paddingDoubleExtraLarge,
    bottom: SharedTheme.paddingDoubleExtraLarge,
  );
}
